%define upstream_name    XML-LibXSLT
%define upstream_version 2.002001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.60.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: libgdbm-devel
BuildRequires: pkgconfig(libxslt) >= 1.1.34
BuildRequires: perl-devel
Requires:   perl(XML::LibXML) >= 1.59
%{?perl_default_filter}

%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/03input.t t/10functions.t
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML

%changelog
* Mon Feb 20 2023 tv <tv> 2.2.1-1.mga9
+ Revision: 1944308
- update to 2.002001

* Tue Jun 07 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1862961
- Rebuild for Perl 5.36

* Wed May 18 2022 tv <tv> 2.2.0-1.mga9
+ Revision: 1858655
- update to 2.002000

* Tue May 17 2022 tv <tv> 2.1.0-1.mga9
+ Revision: 1858496
- update to 2.001000

* Tue Apr 12 2022 tv <tv> 2.0.0-1.mga9
+ Revision: 1848973
- update to 2.000000

* Sat Mar 19 2022 umeabot <umeabot> 1.990.0-5.mga9
+ Revision: 1799568
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.990.0-4.mga9
+ Revision: 1727699
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.990.0-3.mga8
+ Revision: 1595673
- Rebuild for perl 5.32

* Wed Feb 19 2020 umeabot <umeabot> 1.990.0-2.mga8
+ Revision: 1543174
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 tv <tv> 1.990.0-1.mga8
+ Revision: 1481187
- update to 1.99

* Thu Jan 16 2020 shlomif <shlomif> 1.980.0-1.mga8
+ Revision: 1478169
- New version 1.980.0

* Tue Jan 14 2020 shlomif <shlomif> 1.970.0-1.mga8
+ Revision: 1477916
- New version 1.970.0

* Mon Dec 09 2019 shlomif <shlomif> 1.960.0-6.mga8
+ Revision: 1465531
- remove failing test
- Rebuild for new libxslt

* Tue Aug 27 2019 tv <tv> 1.960.0-5.mga8
+ Revision: 1433189
- rebuild with perl-5.30

* Thu Apr 04 2019 shlomif <shlomif> 1.960.0-4.mga7
+ Revision: 1385842
- Rebuild for new libxslt to avoid test failures

* Fri Sep 21 2018 umeabot <umeabot> 1.960.0-3.mga7
+ Revision: 1294066
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.960.0-2.mga7
+ Revision: 1248351
- Rebuild for new perl 5.28.0

* Wed Mar 07 2018 shlomif <shlomif> 1.960.0-1.mga7
+ Revision: 1207288
- update to 1.96

* Tue Oct 03 2017 tv <tv> 1.950.0-3.mga7
+ Revision: 1167459
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.950.0-2.mga7
+ Revision: 1149438
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.950.0-1.mga7
+ Revision: 1127904
- New version 1.95

* Sat Jul 22 2017 neoclust <neoclust> 1.940.0-6.mga7
+ Revision: 1126509
- Rebuild against new Perl 5.26

* Mon Jun 06 2016 tv <tv> 1.940.0-5.mga6
+ Revision: 1020436
- rebuild for new libxslt (thus fixing perl-XML-Grammar-Vered's testsuite)

* Fri Feb 12 2016 umeabot <umeabot> 1.940.0-4.mga6
+ Revision: 958247
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.940.0-3.mga6
+ Revision: 845563
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.940.0-2.mga6
+ Revision: 840656
- Rebuild for the new perl

* Mon Jun 22 2015 sander85 <sander85> 1.940.0-1.mga6
+ Revision: 838622
- update to 1.94

* Wed Oct 15 2014 umeabot <umeabot> 1.920.0-5.mga5
+ Revision: 740543
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.920.0-4.mga5
+ Revision: 732643
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.920.0-3.mga5
+ Revision: 686936
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.920.0-2.mga5
+ Revision: 631881
- Rebuild for perl 5.20

* Tue Apr 15 2014 jquelin <jquelin> 1.920.0-1.mga5
+ Revision: 615062
- update to 1.92

* Thu Mar 13 2014 jquelin <jquelin> 1.890.0-1.mga5
+ Revision: 603057
- update to 1.89

* Tue Feb 25 2014 jquelin <jquelin> 1.880.0-1.mga5
+ Revision: 596999
- update to 1.88

* Mon Feb 10 2014 jquelin <jquelin> 1.870.0-1.mga5
+ Revision: 588842
- update to 1.87

* Mon Oct 21 2013 umeabot <umeabot> 1.810.0-2.mga4
+ Revision: 536937
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.810.0-1.mga4
+ Revision: 485973
- update to 1.81

* Wed May 29 2013 jquelin <jquelin> 1.800.0-2.mga4
+ Revision: 431837
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 1.800.0-1.mga4
+ Revision: 431546
- New version 1.80 + rebuild for new perl-5.18.0

* Wed May 29 2013 jquelin <jquelin> 1.780.0-3.mga4
+ Revision: 431289
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.780.0-2.mga3
+ Revision: 375056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.780.0-1.mga3
+ Revision: 295145
- update to 1.78

* Wed May 30 2012 jquelin <jquelin> 1.770.0-2.mga3
+ Revision: 251339
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.770.0-1.mga2
+ Revision: 219828
- update to 1.77

* Wed Jan 25 2012 jquelin <jquelin> 1.760.0-1.mga2
+ Revision: 201085
- update to 1.76

* Sat Nov 05 2011 kharec <kharec> 1.750.0-1.mga2
+ Revision: 163499
- update to 1.75

* Thu Nov 03 2011 jquelin <jquelin> 1.740.0-1.mga2
+ Revision: 162392
- update to 1.74

* Fri Oct 14 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 154904
- update to 1.73

* Mon Sep 26 2011 jquelin <jquelin> 1.710.0-1.mga2
+ Revision: 148502
- update to 1.71

* Sat Jun 11 2011 spuhler <spuhler> 1.700.0-4.mga2
+ Revision: 104084
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-3.mga1
+ Revision: 31490
- mageia rebuild
- imported package perl-XML-LibXSLT

